aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-03-18 15:48:36 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2016-03-18 16:26:13 +0100
commit716e1f090d04bae4cfcafdfe8bbd63071593d28f (patch)
tree964184e11fd9748c461bc568ba901b4fb45fe85b
parentb3732558f1d30d9886b8281f03619a5b892f263f (diff)
downloadaports-716e1f090d04bae4cfcafdfe8bbd63071593d28f.tar.gz
aports-716e1f090d04bae4cfcafdfe8bbd63071593d28f.tar.bz2
aports-716e1f090d04bae4cfcafdfe8bbd63071593d28f.tar.xz
community/ttf2ufm: new aport
-rw-r--r--community/ttf2ufm/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/community/ttf2ufm/APKBUILD b/community/ttf2ufm/APKBUILD
new file mode 100644
index 0000000000..8f3f51b6b7
--- /dev/null
+++ b/community/ttf2ufm/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=ttf2ufm
+pkgver=3.4.4
+pkgrel=0
+pkgdesc="A True Type to PostScript Type 1 Converter"
+url="https://acko.net/blog/ufpdf-unicode-utf-8-extension-for-fpdf/"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://acko.net/files/ufpdf/ufpdf.zip"
+
+_builddir="$srcdir/ufpdf/ttf2ufm-src"
+
+build() {
+ cd "$_builddir"
+ make ttf2pt1 || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 ttf2pt1 \
+ "$pkgdir"/usr/bin/$pkgname || return 1
+}
+
+md5sums="1ae3792810334c15dcec3773b4d5bf54 ufpdf.zip"
+sha256sums="806cbead56350db07982fd011746457fa36bc3e4596749a70fccff6025fea1ef ufpdf.zip"
+sha512sums="fd810c043e56ac611d923856d040cc667a40127104fa960016e967ec49afea629507426f24fd51baa78d98ecccc9f7d6924f758e67104977e1a94342e82a70de ufpdf.zip"